;
; MEKA - Patches database
; Commands:
;  - Seek <position> ... Jump to (ROM) position
;  - Write <byte> ...... Write byte at current position, increase position
;                        (all values are in hexadecimal format)
; If you succeed in hacking any other games, please send me your patche(s) !
; http://www.smspower.org/meka
;

; Wonderboy 3: Dragon's Trap (multi-language version)
; Patch rom to allow FM chipset use in European/US mode
; The non-patched game play FM musics only in Japanese mode
; Author: Omar Cornut / Zoop
[9C7847B5CB3F875F]
seek, 025B
write, 00
write, 00

; Monica em: O Resgate (brazilian version)
; Patch rom to allow FM chipset use in European/US mode
; The non-patched game play FM musics only in Japanese mode
; Author: Omar Cornut / Zoop
[0E91C33709612BD2]
seek, 025B
write, 00
write, 00

; American Pro Football
; Fix a bug in the game which prevent it to works with a FM chipset
; Author: Omar Cornut / Zoop
[F5E365059B891882]
seek, 05A7
write, AF
write, 00

; Walter Payton Football
; Fix a bug in the game which prevent it to works with a FM chipset
; Author: Omar Cornut / Zoop
[2893A79D37A62301]
seek, 0592
write, AF
write, 00

; Sport Pad Soccer (Japanese version)
; Fix a bug in the game which prevent it to works without a FM chipset
; Author: Omar Cornut / Zoop
[6333A82396B2CF88]
seek, 0173
write, 0C

; Wanted
; Fix a bug in the game which prevent it to works with a FM chipset
; Author: Omar Cornut / Zoop
[1E9957BF6F2A4B4F]
seek, 45D
write, 0
write, 0

; Ninja Gaiden
; Bad dump Sega logo patch
; Author: Omar Cornut / Zoop
[4B1A5BE482A63301]
seek, 8004
write, FF

; Sega Basic Level 3 1.0 (European)
; Hardware check patch
; Author: Ricardo Bittencourt
[242CE122F9157C23]
seek, 00
write, C3

; Sega Basic Level 3 1.1 (Japanese)
; Hardware check patch
; Author: Omar Cornut / Zoop
[0261FB18D318752A]
seek, 689c
write, 00
write, 00
write, 00

; Sega Music Editor
; Hardware check patch
; Author: Ricardo Bittencourt
[F563D149DA372558]
seek, 00
write, C3

; 20 em 1
; Disable the first input load, done outside of a loop
; Inputs are updated by interrupt, and at the time the value was
; load, interrupts did not happens. It is very tricky and probably
; due to bad programming. But now no Z80 emulator is cycle precise..
; Author: Omar Cornut / Zoop
[02079D9D9AF6B27B]
seek, FB5
write, DD
write, 4E
write, FF

; Fix VDP Register setting bugs in different homemade programs
; Author: Omar Cornut / Zoop
; Flavio's SMS VDP Test 1
[C554A3F5ACCBEFE9]
seek, 4AB
write, 0F
; Zoop's SMS Power Demo
[A43B75EE89CADC8F]
seek, 2FB
write, 0F
